Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.iiop
Class IIOPServerRequest

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.net.AbstractServerRequest
                  |
                  +--org.openorb.iiop.IIOPServerRequest

All Implemented Interfaces:
  IDLEntity, Object, RequestInfo, RequestInfoOperations, ResponseHandler, java.io.Serializable, ServerRequest, ServerRequestInfo, ServerRequestInfoOperations

public class IIOPServerRequest
extends AbstractServerRequest

This class represents a client request.

Author:
  Unknown
See Also:
  Serialized Form

Fields inherited from interface org.openorb.net.ServerRequest
`OBJECT_HERE, STATE_COMPLETE, STATE_CREATED, STATE_FIND_ADAPTER, STATE_PROCESSING, STATE_QUEUED, STATE_REPLY, UNKNOWN_OBJECT`

Constructor Summary
`IIOPServerRequest(ServerManager svrmgr, IIOPServerChannel channel, java.lang.Object tpAssc, int request_id, byte[] object_id, Version version)` Constructor.
`IIOPServerRequest(ServerManager svrmgr, IIOPServerChannel channel, java.lang.Object tpAssc, int request_id, InputStream argument_stream, byte[] object_id, java.lang.String operation, byte sync_scope, ServiceContext[] request_service_contexts, Version version)` Constructor.
`IIOPServerRequest(ServerManager svrmgr, IIOPServerChannel channel, java.lang.Object tpAssc, int request_id, InputStream argument_stream, Version version)` Constructor.
`IIOPServerRequest(ServerManager svrmgr, IIOPServerChannel channel, java.lang.Object tpAssc, int request_id, Version version)` Constructor.

Method Summary
`BufferSource` | `getRequestSource()` Return the request source member.
`void` | `setRequestSource(BufferSource request_source)` Set the request source member.
`Version` | `version()` Return the GIOP version.

Methods inherited from class org.openorb.net.AbstractServerRequest
`adapter_id, adapter, adapter, add_reply_service_context, argument_stream, arguments, begin_request, channel, checkRequestTransportAssoc, client_cancel, contexts, createExceptionReply, createReply, dispatch, equals, exceptions, forward_reference_ior, forward_reference, get_reply_service_context, get_reply_service_contexts, get_request_service_context, get_server_policy, get_slot, get_transport_association, init, init, is_locate, object_id, object_key, operation_context, operation, orb, reply_status, request_id, response_expected, result, sending_exception, sending_system_exception_id, sending_system_exception, server_cancel, set_slot, state, sync_scope, target_is_a, target_most_derived_interface`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### IIOPServerRequest

    public IIOPServerRequest(ServerManager svrmgr,
                             IIOPServerChannel channel,
                             java.lang.Object tpAssc,
                             int request_id,
                             InputStream argument_stream,
                             byte[] object_id,
                             java.lang.String operation,
                             byte sync_scope,
                             ServiceContext[] request_service_contexts,
                             Version version)

  Constructor.
  Parameters:
    `svrmgr` - The server manager associated with this request.
    `channel` - Channel on which this request has been received on.
    `tpAssc` - ???
    `request_id` - The request id of this request.
    `argument_stream` - ???
    `object_id` - The object id of this request.
    `operation` - The name of the operation to execute.
    `sync_scope` - The synchronization scope (See Messaging spec.)
    `request_service_contexts` - An array of service contexts. associated with this request.
    `version` - The GIOP version of this request.

### IIOPServerRequest

    public IIOPServerRequest(ServerManager svrmgr,
                             IIOPServerChannel channel,
                             java.lang.Object tpAssc,
                             int request_id,
                             InputStream argument_stream,
                             Version version)

  Constructor.
  Parameters:
    `svrmgr` - The server manager associated with this request.
    `channel` - Channel on which this request has been received on.
    `tpAssc` - ???
    `request_id` - The request id of this request.
    `argument_stream` - ???
    `version` - The GIOP version of this request.

### IIOPServerRequest

    public IIOPServerRequest(ServerManager svrmgr,
                             IIOPServerChannel channel,
                             java.lang.Object tpAssc,
                             int request_id,
                             byte[] object_id,
                             Version version)

  Constructor.
  Parameters:
    `svrmgr` - The server manager associated with this request.
    `channel` - Channel on which this request has been received on.
    `tpAssc` - ???
    `request_id` - The request id of this request.
    `object_id` - The object id of this request.
    `version` - The GIOP version of this request.

### IIOPServerRequest

    public IIOPServerRequest(ServerManager svrmgr,
                             IIOPServerChannel channel,
                             java.lang.Object tpAssc,
                             int request_id,
                             Version version)

  Constructor.
  Parameters:
    `svrmgr` - The server manager associated with this request.
    `channel` - Channel on which this request has been received on.
    `tpAssc` - ???
    `request_id` - The request id of this request.
    `version` - The GIOP version of this request.

Method Detail

### version

    public Version version()

  Return the GIOP version.

### setRequestSource

    public void setRequestSource(BufferSource request_source)

  Set the request source member.
  Parameters:
    `request_source` - The source buffer of a request.

### getRequestSource

    public BufferSource getRequestSource()

  Return the request source member.
  Returns:
    The source buffer of a request.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD